/*
 * $Id: TopologyViewPanel.java,v 1.4 2005/07/07 14:15:16 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.gdrn.shell.command.topo;

import java.awt.BorderLayout;

import org.logical_paradox.common.swing.WindowPanel;

/**
 * トポロジ表示パネル
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.4 $
 */
public class TopologyViewPanel extends WindowPanel {
	/** アプリケーションコンテキスト */
	private final AppContext context;

	/**
	 * コンストラクタ
	 * @param ctx アプリケーションコンテキスト
	 */
	public TopologyViewPanel(AppContext ctx) {
		context = ctx;
	}
	/**
	 * パネルを初期化する
	 */
	protected void init() {
		setLayout(new BorderLayout());
		add(new NetworkViewCanvas(context), BorderLayout.CENTER);
	}
}
